#
# spec file for package web2ldap (Version 0.8.3)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  apache apache-devel mm mod_python openldap2 openldap2-client openldap2-devel openssl python python-devel python-ldap python-nothreads
# usedforbuild    aaa_base aaa_dir apache apache-devel autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp mm mod_python modutils ncurses ncurses-devel net-tools netcfg openldap2 openldap2-client openldap2-devel openssl pam pam-devel patch perl ps python python-devel python-ldap python-nothreads rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         web2ldap
Copyright:    GPL, (c) Michael Strder <michael@stroeder.com>
Group:        Applications/Productivity
#Provides:     
Requires:     python python-ldap openldap2-client openssl
Autoreqprov:  on
Version:      0.8.3
Release:      173
Summary:      WEB based LDAP-Client
Source:       http://web2ldap.de/download/web2ldap-0.8.3.tar.gz
BuildRoot:    %{_tmppath}/%{name}-root
Patch0:       web2ldap-0.8.3.dif
Patch1:       web2ldap-rc.dif

%description
Directory services like LDAP are suitable for holding a lot of organizational
information in a standarized database scheme. LDAP is very handy for e.g.
providing centralized addressbooks for the users of an organization. Widely
used mail client software like Netscape Messenger or Outlook have already
built-in support for accessing directory services through LDAP for retrieving
personal data like mail addresses or certificate data.
However some situations arise in which there is a strong need for:
- a robust and flexible LDAP client software which provides
add/modify of LDAP entries.
- access to the directory without having LDAP capable client
software (e.g. via WWW).
- a secure LDAP client with clean login behaviour.
- hiding the LDAP service behind a firewall.
- encryption for LDAP access over unsecure networks.
This is why web2ldap was developed which aims to be a full-featured LDAPv2+
client.  See web2ldap pages on http://http://web2ldap.de/

Authors:
--------
    Michael Strder <michael@stroeder.com>

SuSE series: n

%package cgi
Summary:      WEB based LDAP-Client
Group:        Applications/Productivity
Requires:     apache openssl mod_ssl
Autoreqprov:  on

%description cgi
Directory services like LDAP are suitable for holding a lot of organizational
information in a standarized database scheme. LDAP is very handy for e.g.
providing centralized addressbooks for the users of an organization. Widely
used mail client software like Netscape Messenger or Outlook have already
built-in support for accessing directory services through LDAP for retrieving
personal data like mail addresses or certificate data.
However some situations arise in which there is a strong need for:
- a robust and flexible LDAP client software which provides
add/modify of LDAP entries.
- access to the directory without having LDAP capable client
software (e.g. via WWW).
- a secure LDAP client with clean login behaviour.
- hiding the LDAP service behind a firewall.
- encryption for LDAP access over unsecure networks.
This is why web2ldap-cgi was developed which aims to be a full-featured LDAPv2+
client.  See web2ldap-cgi pages on http://http://web2ldap-cgi.de/

Authors:
--------
    Michael Strder <michael@stroeder.com>

SuSE series: n

%prep
%setup
find * -name CVS | xargs rm -rfv
%patch0 -p0
%patch1 -p0

%build
export OPT=$RPM_OPT_FLAGS
python sbin/compile.py
python -O sbin/compile.py

%install
export RPM_BUILD_ROOT
test -n  "$RPM_BUILD_ROOT" && \
test -d  "$RPM_BUILD_ROOT" && \
test / = "$RPM_BUILD_ROOT" || rm -rf "$RPM_BUILD_ROOT"
for dir in etc/web2ldap var/log/web2ldap usr/lib \
           etc/init.d usr/local/httpd/htdocs \
           usr/local/httpd/cgi-bin ; do
  mkdir -p -m 755 $RPM_BUILD_ROOT/$dir
done
cp -r ../%{name}-%{version} $RPM_BUILD_ROOT/usr/lib/web2ldap
cp -r $RPM_BUILD_ROOT/usr/lib/web2ldap/etc/web2ldap $RPM_BUILD_ROOT/etc
cp    $RPM_BUILD_ROOT/usr/lib/web2ldap/cgi-bin/web2ldap.py* $RPM_BUILD_ROOT/usr/local/httpd/cgi-bin/
cp -r $RPM_BUILD_ROOT/usr/lib/web2ldap/htdocs/css $RPM_BUILD_ROOT/usr/local/httpd/htdocs/
mkdir -p $RPM_BUILD_ROOT/var/adm/fillup-templates
install -m 644 rc.config.web2ldap $RPM_BUILD_ROOT/var/adm/fillup-templates/rc.config.web2ldap
install -m 754 rc.web2ldap $RPM_BUILD_ROOT/etc/init.d/web2ldap

%post
echo "Updating etc/rc.config..."
if [ -x bin/fillup ] ; then
  bin/fillup -q -d = etc/rc.config var/adm/fillup-templates/rc.config.web2ldap
else
  echo "ERROR: fillup not found. This should not happen. Please compare"
  echo "etc/rc.config and var/adm/fillup-templates/rc.config.web2ldap"
  echo "and update by hand."
fi
# Create symbolic run level links during installation
sbin/insserv etc/init.d/web2ldap

%postun
# Rearrange run level symlinks after removing the init script
sbin/insserv etc/init.d/

%files
%defattr(-,root,root)
%dir /etc/web2ldap
%dir /etc/web2ldap/web2ldapcnf
%config /etc/web2ldap/*.*
%config /etc/web2ldap/web2ldapcnf/*
%config /etc/init.d/web2ldap
/usr/lib/web2ldap
/var/log/web2ldap
/var/adm/fillup-templates/rc.config.web2ldap

%files cgi
/usr/local/httpd/cgi-bin/web2ldap.py*
/usr/local/httpd/htdocs/css/dark.css
/usr/local/httpd/htdocs/css/redandgreen.css

%changelog -n web2ldap
* Fri Mar 30 2001 - choeger@suse.de
- fixed requires (not use openldap any longer)
* Thu Mar 15 2001 - ro@suse.de
- changed neededforbuild for openldap2
* Thu Mar 15 2001 - ro@suse.de
- fixed neededforbuild for openldap
* Fri Feb 23 2001 - ro@suse.de
- changed neededforbuild <apache> to <apache apache-devel>
* Thu Feb 08 2001 - mt@suse.de
- new package
